{{- if .Values.clusterConfig.cilium.enabled }}
apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: allow-api-server
  namespace: slinky
spec:
  egress:
    - toEntities:
        - kube-apiserver
  endpointSelector:
    matchLabels:
      app.kubernetes.io/instance: slurm-operator
{{- end}}
